/// <reference types="lodash" />
import { NextEditor, NextEditorCallbacks } from '@nexteditorjs/nexteditor-core';
export declare class BroadcastCursor implements NextEditorCallbacks {
    private editor;
    lastUpdateTextTime: number;
    constructor(editor: NextEditor);
    destroy(): void;
    handleSelectionChange(): void;
    onUpdateBlockText(containerId: string, blockIndex: number, actions: unknown, local: boolean): void;
    broadcastCursor: import("lodash").DebouncedFunc<() => void>;
}
