import { DocBlockDelta } from '@nexteditorjs/nexteditor-core';
export default class OpBlockDataDelta {
    private deletedKeys;
    private insertedValues;
    constructor(deletedKeys?: Set<string>, insertedValues?: Map<string, unknown>);
    insert(key: string, value: unknown): void;
    delete(key: string): void;
    toDocBlockDelta(): DocBlockDelta;
}
